Survey.StylesManager.applyTheme("modern");
var json = { questions: [
{ type: "checkbox", name: "car", title: "What cars have you being drived?", isRequired: true,
colCount: 4, "choicesOrder": "asc",
choices: ["Ford", "Vauxhall", "Volkswagen", "Nissan", "Audi", "Mercedes-Benz", "BMW", "Peugeot", "Toyota", "Citroen", "Tesla"] },
{
"type": "radiogroup", "name": "bestcar", isRequired: true, "choicesOrder": "asc",
"title": "What car did you enjoy the most?",
"visibleIf": "{car} notempty",
"choicesVisibleIf": "{car} contains {item}",
choices: [ "Ford", "Vauxhall", "Volkswagen", "Nissan", "Audi", "Mercedes-Benz", "BMW", "Peugeot", "Toyota", "Citroen", "Tesla" ]
},
{
"type": "radiogroup", "name": "secondcar", isRequired: true, "choicesOrder": "asc",
"visibleIf": "{car.length} > 1",
"title": "What car is your second choice?",
"choicesVisibleIf": "{car} contains {item} and {item}!={bestcar}",
choices: [ "Ford", "Vauxhall", "Volkswagen", "Nissan", "Audi", "Mercedes-Benz", "BMW", "Peugeot", "Toyota", "Citroen", "Tesla" ]
}
]};
window.survey = new Survey.Model(json);
survey.onComplete.add(function(result) {
document.querySelector('#surveyResult').textContent =
"Result JSON:\n" + JSON.stringify(result.data, null, 3);
});
$("#surveyElement").Survey({
model: survey
});
<!DOCTYPE html>
<html lang="en">
<head>
<title>Use choicesVisibleIf property to show/hide choices items in radio group, checkbox and dropdown questions, jQuery Survey Library Example</title>
<meta name="viewport" content="width=device-width" />
<script src="https://unpkg.com/jquery"></script>
<script src="/DevBuilds/survey-jquery/survey.jquery.min.js"></script>
<link href="/DevBuilds/survey-knockout/modern.css" type="text/css" rel="stylesheet" />
<link rel="stylesheet" href="./index.css">
</head>
<body>
<div id="surveyElement" style="display:inline-block;width:100%;">
</div>
<div id="surveyResult"></div>
<script type="text/javascript" src="./index.js"></script>
</body>
</html>
You may use expression properties:
The following expression below means: the item is shown if, the same value is checked in the {car} question and it is not selected in the {bestcar} question.
{car} contains {item} and {item}!= {bestcar}
Every ItemValue object has its own visibleIf property. You may override the top level choicesVisibleIf property and define visibleIf expression for an individual choice item.

Survey.StylesManager.applyTheme("modern");
var json = {
"elements": [
{
"type": "checkbox",
"name": "car",
"title": "What cars have you being drived?",
"isRequired": true,
"colCount": 4,
"choicesOrder": "asc",
"choices": [ "Ford", "Vauxhall", "Volkswagen", "Nissan", "Audi", "Mercedes-Benz", "BMW", "Peugeot", "Toyota", "Citroen", "Tesla" ]
},
{
"type": "radiogroup",
"name": "bestcar",
"isRequired": true,
"choicesOrder": "asc",
"title": "What car did you enjoy the most?",
"hideIfEmptyChoices": true,
"choicesVisibleIf": "{car} contains {item}",
"choices": [ "Ford", "Vauxhall", "Volkswagen", "Nissan", "Audi", "Mercedes-Benz", "BMW", "Peugeot", "Toyota", "Citroen", "Tesla" ]
},
{
"type": "radiogroup",
"name": "secondcar",
"isRequired": true,
"choicesOrder": "asc",
"visibleIf": "{car.length} > 1",
"title": "What car is your second choice?",
"choicesVisibleIf": "{car} contains {item} and {item}!={bestcar}",
"choices": [ "Ford", "Vauxhall", "Volkswagen", "Nissan", "Audi", "Mercedes-Benz", "BMW", "Peugeot", "Toyota", "Citroen", "Tesla" ]
}
]
};
window.survey = new Survey.Model(json);
survey.onComplete.add(function(sender) {
document.querySelector('#surveyResult').textContent =
"Result JSON:\n" + JSON.stringify(sender.data, null, 3);
});
ReactDOM.render(
<SurveyReact.Survey model={survey} />, document.getElementById("surveyElement"));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Show/Hide choices in radiogroup/checkbox/dropdown, Reactjs Survey Library Example</title>
<meta name="viewport" content="width=device-width" />
<script src="https://unpkg.com/react@17.0.1/umd/react.production.min.js"></script>
<script src="https://unpkg.com/react-dom@17.0.1/umd/react-dom.production.min.js"></script>
<script src="https://unpkg.com/@babel/standalone@7.2.5/babel.min.js"></script>
<script src="/DevBuilds/survey-core/survey.core.min.js"></script>
<script src="/DevBuilds/survey-core/survey.i18n.min.js"></script>
<script src="/DevBuilds/survey-react-ui/survey-react-ui.min.js"></script>
<link href="/DevBuilds/survey-core/modern.min.css" type="text/css" rel="stylesheet" />
<link rel="stylesheet" href="./index.css">
</head>
<body style="margin: 0">
<div id="surveyElement" style="display:inline-block;width:100%;">
</div>
<div id="surveyResult"></div>
<script type="text/babel" src="./index.js"></script>
</body>
</html>
You may use expression properties:
The following expression below means: the item is shown if, the same value is checked in the {car} question and it is not selected in the {bestcar} question.
{car} contains {item} and {item}!= {bestcar}
Every ItemValue object has its own visibleIf property. You may override the top level choicesVisibleIf property and define visibleIf expression for an individual choice item.
Help us serve you better by taking this brief survey.
We are interested to learn more about your
experience of using our libraries.
We'd really appreciate your feedback.
Start the SurveyApproximate time to complete: 2 min.